Loading...
Searching...
No Matches
Cal3.h File Reference

Common code for all Calibration models. More...

Go to the source code of this file.

## Classes

class | gtsam::Cal3
| Common base class for all calibration models. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<typename Cal, size_t Dim>
void | gtsam::calibrateJacobians (const Cal &calibration, const Point2 &pn, OptionalJacobian< 2, Dim > Dcal=boost::none, OptionalJacobian< 2, 2 > Dp=boost::none)
| Function which makes use of the Implicit Function Theorem to compute the Jacobians of calibrate using uncalibrate.

## Detailed Description

Common code for all Calibration models.

Author
  Varun Agrawal